Subject: RE: unexpected behaviour of 'find' command
From: James Nallen <[email-masked]>
To: Prentis Brooks <[email-masked]>
Cc: [email-masked]
Date: Wed, 29 Aug 2001 10:14:23 +0100

At 13:11 28/08/2001 -0400, you wrote:
>What is the Global Environment Variable PATH set to?  Are you are running
>crond from within cygrunsrv?

The environmental variable PATH is as follows:

PATH=/usr/local/bin:/usr/bin:/usr/sbin:/bin:/e/OraHome1/bin:/c/Program 
Files/Oracle/jre/1.1.7/bin:
/c/PW32:/c/WINNT/system32:/c/WINNT:/c/WINNT/System32/Wbem:
/c/Program Files/Resource Pro Kit:.

The cron service is running within cygrunsrv as follows:

cygrunsrv -I cron -p /usr/sbin/cron -a '-D' -e CYGWIN="tty ntsec"

>On Tue, 28 Aug 2001, James Nallen wrote:
>
> > At 08:23 28/08/2001 -0700, you wrote:
> > >Just to remove a silly possibility, you didn't perchance run this from the
> > >shell, see it remove files, then immediately schedule it as a cron 
> job, and
> > >see that the cron job didn't remove any files, did you?
> >
> > No, I didn't.
> >
> > >If so, I think you'l see the same behavior if you run it from the shell
> > >again.  You already removed all the files less than 4 days 
> old.  Running it
> > >again immediately after won't find anything else.
> > >
> > >If that's not the case, then I don't know what the problem could be.
> >
> > I've found out it's having problems with the path it's searching. I don't
> > understand this.
> >
> >
> > >-----Original Message-----
> > >From: James Nallen [mailto:[email-masked]]
> > >Sent: Tuesday, August 28, 2001 4:16 AM
> > >To: [email-masked]
> > >Subject: unexpected behaviour of 'find' command
> > >
> > >
> > >Hi,
> > >
> > >I'm running cygwin-1.3.2, setup-2.78.2.3 on w2k pro in stand-alone mode.
> > >
> > >The following file,
> > >-rwxr-xr-x    1 Administ None          154 Aug 28 11:43 del_oldfiles.out
> > >
> > >contains
> > >
> > >#! /bin/sh
> > >rm -f '/home/Administrator/oldfiles.txt'
> > >/usr/bin/find.exe /e/work/DBA_Scripts -depth -type f -mtime -4 -exec rm -f
> > >{} \;
> > >date >> oldfiles.txt
> > >
> > >
> > >When this file is executed from the command shell, it executes as 
> expected.
> > >When it is executed from a Cron job, the find command seems to do nothing.
> > >Anyone know why this is so?
> > >
> > >
> > >Regards,
> > >
> > >James Nallen,
> > >NUI Maynooth,
> > >Co. Kildare,
> > >Ireland.
> > >
> > >
> > >--
> > >Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > >Bug reporting:         http://cygwin.com/bugs.html
> > >Documentation:         http://cygwin.com/docs.html
> > >FAQ:                   http://cygwin.com/faq/
> > >
> > >--
> > >Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > >Bug reporting:         http://cygwin.com/bugs.html
> > >Documentation:         http://cygwin.com/docs.html
> > >FAQ:                   http://cygwin.com/faq/
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
>
>Prentis Brooks  | [email-masked] | 703-265-0914 | AIM: PrentisB
>System Administrator - Web Infrastructure & Security
>
>        A knight is sworn to valor.  His heart knows only virtue.  His blade
>        defends the helpless.  His word speaks only truth.  His wrath 
> undoes the
>        wicked. - the old code of Bowen, last of the dragonslayers
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/